apiVersion: v1
items:
- apiVersion: flows.netobserv.io/v1alpha1
  kind: FlowCollector
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"flows.netobserv.io/v1alpha1","kind":"FlowCollector","metadata":{"annotations":{},"name":"cluster"},"spec":{"agent":{"ebpf":{"cacheActiveTimeout":"5s","cacheMaxFlows":100000,"excludeInterfaces":["lo"],"image":"quay.io/netobserv/netobserv-ebpf-agent:main","imagePullPolicy":"Always","interfaces":[],"logLevel":"info","privileged":false,"sampling":1},"ipfix":{"cacheActiveTimeout":"20s","cacheMaxFlows":400,"clusterNetworkOperator":{"namespace":"openshift-network-operator"},"ovnKubernetes":{"containerName":"ovnkube-node","daemonSetName":"ovnkube-node","namespace":"ovn-kubernetes"},"sampling":400},"type":"EBPF"},"consolePlugin":{"autoscaler":{"maxReplicas":0,"status":"DISABLED"},"image":"quay.io/netobserv/network-observability-console-plugin:main","imagePullPolicy":"Always","logLevel":"info","port":9001,"portNaming":{"enable":true,"portNames":{"3100":"loki"}},"register":true},"deploymentModel":"DIRECT","kafka":{"address":"kafka-cluster-kafka-bootstrap.netobserv","tls":{"caCert":{"certFile":"ca.crt","name":"kafka-cluster-cluster-ca-cert","type":"secret"},"enable":false,"userCert":{"certFile":"user.crt","certKey":"user.key","name":"flp-kafka","type":"secret"}},"topic":"network-flows"},"loki":{"batchSize":102400,"batchWait":"1s","maxBackoff":"300s","maxRetries":10,"minBackoff":"1s","querierUrl":"https://lokistack-querier-http.openshift-operators-redhat.svc:3100/","staticLabels":{"app":"netobserv-flowcollector"},"tls":{"caCert":{"certFile":"service-ca.crt","name":"openshift-service-ca.crt","type":"configmap"},"enable":true},"url":"https://lokistack-distributor-http.openshift-operators-redhat.svc:3100/"},"namespace":"netobserv","processor":{"dropUnusedFields":true,"enableKubeProbes":true,"healthPort":8080,"image":"quay.io/netobserv/flowlogs-pipeline:main","imagePullPolicy":"Always","kafkaConsumerAutoscaler":null,"kafkaConsumerReplicas":3,"logLevel":"info","metrics":{"ignoreTags":["egress"],"server":{"port":9102}},"port":2055,"profilePort":6060}}}
    creationTimestamp: "2022-11-30T15:15:26Z"
    finalizers:
    - flows.netobserv.io/finalizer
    generation: 6
    name: cluster
    resourceVersion: "109952"
    uid: 19bbd3f6-0883-4379-ac61-3d5efca72af1
  spec:
    agent:
      ebpf:
        cacheActiveTimeout: 5s
        cacheMaxFlows: 100000
        excludeInterfaces:
        - lo
        imagePullPolicy: Always
        interfaces: []
        kafkaBatchSize: 10485760
        logLevel: info
        privileged: false
        resources:
          limits:
            memory: 800Mi
          requests:
            cpu: 100m
            memory: 50Mi
        sampling: 1
      ipfix:
        cacheActiveTimeout: 20s
        cacheMaxFlows: 400
        clusterNetworkOperator:
          namespace: openshift-network-operator
        forceSampleAll: false
        ovnKubernetes:
          containerName: ovnkube-node
          daemonSetName: ovnkube-node
          namespace: ovn-kubernetes
        sampling: 400
      type: EBPF
    consolePlugin:
      autoscaler:
        maxReplicas: 0
        status: DISABLED
      imagePullPolicy: Always
      logLevel: info
      port: 9001
      portNaming:
        enable: true
        portNames:
          "3100": loki
      quickFilters:
      - default: true
        filter:
          dst_namespace!: openshift-,netobserv
          src_namespace!: openshift-,netobserv
        name: Applications
      - filter:
          dst_namespace: openshift-,netobserv
          src_namespace: openshift-,netobserv
        name: Infrastructure
      - default: true
        filter:
          dst_kind: Pod
          src_kind: Pod
        name: Pods network
      - filter:
          dst_kind: Service
        name: Services network
      register: true
      replicas: 1
      resources:
        limits:
          memory: 100Mi
        requests:
          cpu: 100m
          memory: 50Mi
    deploymentModel: KAFKA
    kafka:
      address: kafka-cluster-kafka-bootstrap.netobserv
      tls:
        caCert:
          certFile: ca.crt
          name: kafka-cluster-cluster-ca-cert
          type: secret
        enable: false
        insecureSkipVerify: false
        userCert:
          certFile: user.crt
          certKey: user.key
          name: flp-kafka
          type: secret
      topic: network-flows
    loki:
      authToken: DISABLED
      batchSize: 102400
      batchWait: 1s
      maxBackoff: 300s
      maxRetries: 10
      minBackoff: 1s
      querierUrl: https://lokistack-querier-http.openshift-operators-redhat.svc:3100/
      staticLabels:
        app: netobserv-flowcollector
      tenantID: netobserv
      timeout: 10s
      tls:
        caCert:
          certFile: service-ca.crt
          name: openshift-service-ca.crt
          type: configmap
        enable: true
        insecureSkipVerify: false
        userCert: {}
      url: https://lokistack-distributor-http.openshift-operators-redhat.svc:3100/
    namespace: netobserv
    processor:
      dropUnusedFields: true
      enableKubeProbes: true
      healthPort: 8080
      imagePullPolicy: Always
      kafkaConsumerAutoscaler:
        maxReplicas: 0
        status: DISABLED
      kafkaConsumerBatchSize: 10485760
      kafkaConsumerQueueCapacity: 1000
      kafkaConsumerReplicas: 24
      logLevel: info
      metrics:
        ignoreTags:
        - egress
        server:
          port: 9102
          tls:
            type: DISABLED
      port: 2055
      profilePort: 6060
      resources:
        limits:
          cpu: 8000m
          memory: 800Mi
        requests:
          cpu: 100m
          memory: 100Mi
  status:
    conditions:
    - lastTransitionTime: "2022-11-30T15:36:01Z"
      message: ""
      reason: Ready
      status: "True"
      type: Ready
    namespace: netobserv
kind: List
metadata:
  resourceVersion: ""
